import { $ } from '../Class/$';
import { System } from '../system';
import { A } from '../types/interface/A';
import { OB } from '../types/interface/OB';
export declare function wrapIntersectionObserver(intersectionObserver: IntersectionObserver, system: System): OB & $;
export declare function wrapUint8Array(array: Uint8Array | Uint8ClampedArray, system: System): A<number> & $;
